Subject: bug#17189: Sort bug #2

From: Nikos Balkanas <[email-masked]>
Date: Mon, 7 Apr 2014 22:12:00 +0300

On Mon, Apr 7, 2014 at 9:43 PM, Eric Blake <[email-masked]> wrote:

> On 04/07/2014 12:11 PM, Nikos Balkanas wrote:
>
> >>
> >> What more are you proposing?
> >>
> >
> > I have already written a patch. It uses the available "-a" command line
> > option to
> >  "force" traditional (ascii) sorting. Have updated man pages accordingly.
> >
> > What is the best way to upload it?
>
> http://git.savannah.gnu.org/cgit/coreutils.git/tree/HACKING describes
> the best way to send a patch.  However, I will warn you that we are very
> reluctant to burn a short option letter if there is not already existing
> practice of another non-GNU implementation using the same short option
> letter for the same meaning.  Furthermore, I think that:
>
> LC_ALL=C sort ...
>
> is just about as easy to type as:
>
> sort --ascii ...
>
> and that since the former is standardized by POSIX and already supported
> by non-GNU sort and in wide use now, while the latter is an extension
> and not likely to percolate into common use for several years, that it
> is unlikely that we will take the patch (when two ways exist to do the
> same thing, we prefer the standardized way over a GNU-specific
> extension).  I can't outright reject your patch without seeing it, but
> am just trying to warn you that the bar for new features in coreutils is
> fairly high.
>
>
Actually:

sort -a

is much easier on the eye, and the hand. I don't like the LC_ALL=C. A lot
of typos, caps are not easy,
environment is best suited for many programs, not single ones. Sort is just
one of 1000s of tools a user has to use daily.
Consider what would happen if users had to deal with changing the
environment in each one of these tools.
And more of the same questions from the users. Ultimately you will decide
which one creates less questions and support.

I owe you a patch, if only for the manpage. It is trivial and don't care if
it gets implemented or not. Read HACKING,
but wanted to make sure i don't overwrite anything with git. If going
through with LC_ALL, then warning should be moved
to the top right after the description. The way it is buried now under
KEYDEF, noone sees it. Plus adding an
example for KEYDEF, which is nearly incomprehensible.

Let me know which patch you prefer, so that I can upload (don't want to
flood you with patches).

> --
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>
>